%define modname funcall
%define soname %{modname}.so
%define inifile A80_%{modname}.ini

Summary:	Add callbacks for any function/method
Name:		php-%{modname}
Version:	0.2.5
Release:	%mkrel 4
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/funcall/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Call callbacks before or after specified functions/methods being called.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -p -i -e "s|/lib\b|/%{_lib}|g" *.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[%{modname}]
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc package*.xml funcall.php tests
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.5-4mdv2009.1
+ Revision: 346428
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.5-3mdv2009.1
+ Revision: 341734
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.5-2mdv2009.1
+ Revision: 321729
- rebuild
- 0.2.5

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-2mdv2009.1
+ Revision: 310267
- rebuilt against php-5.2.7

* Thu Nov 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-1mdv2009.1
+ Revision: 300261
- 0.2.4

* Mon Oct 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-1mdv2009.1
+ Revision: 295605
- 0.2.3

* Sun Sep 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-1mdv2009.0
+ Revision: 284669
- import php-funcall


* Sun Sep 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-1mdv2009.0
- initial Mandriva package
